summaryrefslogtreecommitdiff
path: root/aports/busybox/defaults.initd
diff options
context:
space:
mode:
authorPÁLI Gábor János <pali.gabor@gmail.com>2022-12-30 14:47:25 +0100
committerPÁLI Gábor János <pali.gabor@gmail.com>2022-12-30 14:47:25 +0100
commit1c1b02874e1749d61b9b1680f744bf8470147416 (patch)
tree90578f8f7b73792dd41129b71bc73b0eefd81d32 /aports/busybox/defaults.initd
parent1b300a88b562f707ccd1b67229bd878930c9766c (diff)
downloadfreebsd-wifibox-alpine-1c1b02874e1749d61b9b1680f744bf8470147416.zip
Move to Linux 5.15.85 + Alpine 3.17.0.
Diffstat (limited to 'aports/busybox/defaults.initd')
-rw-r--r--aports/busybox/defaults.initd12
1 files changed, 12 insertions, 0 deletions
diff --git a/aports/busybox/defaults.initd b/aports/busybox/defaults.initd
new file mode 100644
index 0000000..a92a942
--- /dev/null
+++ b/aports/busybox/defaults.initd
@@ -0,0 +1,12 @@
+#!/sbin/openrc-run
+
+description="Sets service-specific defaults."
+
+start() {
+ ebegin "Setting defaults"
+ . /etc/udhcpc/udhcpc.conf
+ if [ ! -s "$UDHCPD_CONF" ] ; then
+ sed 's|%%DNS%%||' < "$UDHCPD_CONF_TEMPLATE" > "$UDHCPD_CONF"
+ fi
+ eend $?
+}